Subject: RE: draft-shrader-spirits-arch-00.txt

From: [email-masked]
Date: Wed, 23 Feb 2000 15:50:30 +0200

Hi David,

> Thanks for your input. Actually, we discussed the SIGTRAN 
> work at the last meeting. Although it is too soon to tell, 
> I think the group is not supportive an SCCP transport of TCAP 
> over IP. This requires the end system to implement TCAP. In my 
> view (and in many others), this is one of the expensive and 
> difficult to implement aspects of IN and what makes the SCPs
> so limited and the service creation abilities of IN services 
> slower than desired. As a result, to open it up to a wider 
> community of service implementers, I believe that a protocol 
> such as SIP will be used as the basis as we did for PINT.

This is true.  The SS7 application protocols are generally
too heavy & should be considered 'legacy' protocols.  SIP is 
much lighter & probably will be implemented directly into
future mobile devices.

I've just joined the SPIRITS list, so I'm cc-ing the list, btw.

It wasn't entirely clear in the draft which interfaces, etc. you
are seeking to define.  I'll read it more closely and see if I have 
comment.  

cheers,
John Loughney

> From: [email-masked]
> Date: Wed, 23 Feb 2000 10:13:03 +0200
> To: [email-masked]
> Subject: draft-shrader-spirits-arch-00.txt
> 
> Hi David,
> 
> I looked at your draft - I still need to re-read it in detail, but a
> question sprung into my mind.  Have you been following at all the SIGTRAN
> work group?  It is basically signaling transport, defining a new protocol
> (SCTP) that looks like TCP but is greatly improved.  Running over SCTP are
> adaptation layers which carry SS7 procotols like ISUP, SCCP (TCAP), etc.
> Heavily involved are the models for the signaling gateways where the SS7
and
> IP nodes interwork.  I'm creating an SCCP user adaptation protocol draft,
> which would support the transport of TCAP over IP to an IP endpoint (let's
> say an IP-based HLR, SCP, etc.).
> 
> I wonder if there is any overlap in our work, or anyway to apply each
> other's work to the respective drafts.
> 
> best regards,
> John Loughney
>